/* deltabls.sql  */
/* Created by Laurence D. Finston (LDF) 2006.07.26.  */

/*

$Id: deltabls.sql,v 1.1 2006/10/24 07:54:41 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* * (1) */

/*
LOG

LDF 2006.07.26.
Created this file.

LDF 2006.09.05.
Now deleting |Bibliographic_Type_Codes|.

LDF 2006.09.07.
Now deleting |Content_Summaries|.


LDF 2006.10.24.
Renamed this file:
Old name:  "delete_tables.sql"
New name:  "deltabls.sql"

END LOG
*/ 

/* * (1) */

-- exec delete_tables

-- create 
alter proc delete_tables
as

delete Content_Summaries

delete Permutation_Patterns

delete Records_Subjects
delete Subjects

delete Subject_Types

delete Access_Numbers

delete Records_Call_Numbers
delete Call_Numbers

delete Exemplar_Production_Numbers

delete Records_Physical_Descriptions
delete Physical_Descriptions

delete PICA_Categories_PICA_Fields
delete PICA_Categories
delete PICA_Fields

delete Records_Database_Providers
delete Database_Providers

delete Records_Publishers
delete Publishers

delete Records_Languages
delete Languages

delete Bibliographic_Type_Codes

delete Records_Bibliographic_Types
delete Bibliographic_Types
delete Bibliographic_Type_Codes

delete Records_Main_Titles
delete Main_Titles

delete Records_Authors
delete Authors

delete Records_Contributors
delete Contributors

delete Records_Remote_Access
delete Remote_Access

delete Records

delete Sources

delete Temp_IDs
go

/* * (1) */

-- exec delete_tables

/* * (1) */



/* Local Variables: */
/* mode:Outline */
/* abbrev-mode:t */
/* End: */

