/* PICA_DB\drop_tables.sql  */
/* Created by Laurence D. Finston (LDF) 2006.07.25.  */

/*

$Id: drptabls.sql,v 1.1 2006/10/24 07:58:21 ldf Exp $

* (1) Copyright and License.

This file is part of the IWF Metadata Harvester, a package for metadata harvesting.  
Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH

The author is Laurence D. Finston.                                                   

The IWF Metadata Harvester is free software; you can redistribute it and/or modify   
it under the terms of the GNU General Public License as published by                 
the Free Software Foundation; either version 2 of the License, or                    
(at your option) any later version.                                                  

The IWF Metadata Harvester is distributed in the hope that it will be useful,        
but WITHOUT ANY WARRANTY; without even the implied warranty of                       
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                             
GNU General Public License for more details.                                         

You should have received a copy of the GNU General Public License                    
along with the IWF Metadata Harvester; if not, write to the Free Software            
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                   

The IWF Metadata Harvester is available for downloading from the                     
following FTP server:                                                                
ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/

Please send bug reports to lfinsto1@gwdg.de                                         

The author can be contacted at:                                                      

Laurence D. Finston 
Kreuzbergring 41    
D-37075 Goettingen  
Germany             

lfinsto1@gwdg.de 
s246794@stud.uni-goettingen.de                        
*/

/* * (1) */

/* 
LOG

LDF 2006.10.24.
Renamed this file:
Old name:  "drop_tables.sql"
New name:  "drptabls.sql"

ENDLOG
*/


/* * (1) */

/*
LOG
LDF 2006.07.25.
Created this file ("drop_tables.sql").

LDF 2006.07.25.
Added this procedure ("drop_tables").

LDF 2006.09.05.
Now dropping |Bibliographic_Type_Codes|.

LDF 2006.09.07.
Now dropping |Content_Summaries|.
END LOG
*/ 

-- exec drop_tables

-- create 
alter proc drop_tables
as

-- select * from Languages
-- select * from Records_Languages

drop table Content_Summaries

drop table Permutation_Patterns

drop table Records_Subjects
drop table Subjects

drop table Subject_Types

drop table Access_Numbers

drop table Records_Call_Numbers
drop table Call_Numbers

drop table Exemplar_Production_Numbers

drop table Records_Physical_Descriptions

drop table Physical_Descriptions

drop table PICA_Categories_PICA_Fields
drop table PICA_Categories
drop table PICA_Fields

drop table Records_Database_Providers
drop table Database_Providers

drop table Records_Publishers
drop table Publishers

drop table Records_Languages
drop table Languages

drop table Records_Bibliographic_Types
drop table Bibliographic_Types
drop table Bibliographic_Type_Codes

drop table Records_Main_Titles

drop table Main_Titles

drop table Records_Authors

drop table Authors

drop table Records_Contributors

drop table Contributors

drop table Records_Remote_Access
drop table Remote_Access

drop table Records

drop table Sources

drop table Temp_IDs
go

-- exec drop_tables

/* * (1) */

/* Local Variables: */
/* mode:Outline */
/* abbrev-mode:t */
/* End: */

